# Method: organizations.locations.eventThreatDetectionCustomModules.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.eventThreatDetectionCustomModules/list#try-it)

Lists all Event Threat Detection custom modules for the given organization, folder, or project. This includes resident modules defined at the scope of the parent along with modules inherited from ancestors.

### HTTP request

`GET https://securitycentermanagement.googleapis.com/v1/{parent=organizations/*/locations/*}/eventThreatDetectionCustomModules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of parent to list custom modules, in one of the following formats: - `organizations/{organization}/locations/{location}` - `folders/{folder}/locations/{location}` - `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of modules to return. The service may return fewer than this value. If unspecified, at most 10 modules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A pagination token returned from a previous request. Provide this token to retrieve the next page of results. When paginating, the rest of the request must match the request that generated the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/ListEventThreatDetectionCustomModulesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `securitycentermanagement.eventThreatDetectionCustomModules.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).